cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 5, 3 & 1

Anonymous
Not applicable
        I have 2 Boards and I work with Psoc Creator 2.0: Board A: CY8CKIT-001 with CY8C55 Family Board B: CY8CKIT-001 with CY8C58LP Family on Board A, I can flash the programm without problems. But on Board B, I can't flash the Programm, I get the error: dbg.M0039: There was an error running port acquire. There may be no devices attached, or a device may be in use by another application. what can be the problem?   
0 Likes
7 Replies
Bob_Marlowe
Expert II
        Did you take account of to update Creator to 2.2? I do not know whether 2.0 already "knows" the PSoC5 LP.   
   
Bob   
0 Likes
HeLi_263931
Honored Contributor II

According to the release announcements I found Creator 2.1 is the first one to support PSoC5LP. So you should upgrade to the latest version. (which is recommended anyway)

0 Likes
Anonymous
Not applicable

I have a system consisting of three Boards: CY8CKIT-001 with CY8C55 Family and I use Creator 2.0, but one Bord is defect and I want to change it with CY8C58LP Family.

when I open my project in Creator 2.1, I get this error: sdb.M0059:Error in component: Master_CAN. The CAN (Master_CAN) component is not supported on the PSoC 5 device.

for this reason, I'm working with Creator 2.0. how can I solve this problem?

   

Regards

0 Likes
Bob_Marlowe
Expert II
        Probably, the most experienced with such a situation is Cypress itself. File a thechnical case (Support&Community->Technical Support -> Create a MyCase). Although sometimes it may take some time you will be helped.   
   
Bob   
0 Likes
HeLi_263931
Honored Contributor II
        The CAN component is not supported on PSoC5 because there were some problems with it. It was in earlier versions of Creator, before the problems got detected, but got removed in later ones.   
These problems got corrected with PSoC5LP. So it is advisable to move to PSoC5LP anyways. But for that you need to upgrade to Creator 2.1 8at least, 2.2SP1 would be better).   
0 Likes
Anonymous
Not applicable

the following error is occured during the implementation. kindly give the steps to resolve the problem.

   

dbg.M0039: There was an error running port acquire. There may be no devices attached, or a device may be in use by another application.

0 Likes
Bob_Marlowe
Expert II

Not a good idea to hijack a 2 year old thread. Nonetheless: Welcome in the forum!

   

There may be no devices attached, or a device may be in use by another application. Check for both, reset your PC.

   

Give us some more information:

   
        
  • Which kind of board are you using? A kit?? Which one???
  •     
  • What PSoC gives the error? What is the actual Creator version you are using?
  •    
   

Can you please post your complete project, so that we all can have a look at all of your settings? To do so, use
Creator->File->Create Workspace Bundle (minimal)
and attach the resulting file.

   

 

   

Bob

0 Likes